### A free/open-source library for quantitative finance

Functions
ql/pricingengines/blackformula.hpp File Reference

Black formula. More...

`#include <ql/option.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for blackformula.hpp:

## Functions

Real | blackFormula (Option::Type optionType, Real strike, Real forward, Real stdDev, Real discount=1.0, Real displacement=0.0)
Real | blackFormula (const boost::shared_ptr< PlainVanillaPayoff > &payoff, Real forward, Real stdDev, Real discount=1.0, Real displacement=0.0)
Real | blackFormulaImpliedStdDevApproximation (Option::Type optionType, Real strike, Real forward, Real blackPrice, Real discount=1.0, Real displacement=0.0)
Real | blackFormulaImpliedStdDevApproximation (const boost::shared_ptr< PlainVanillaPayoff > &payoff, Real forward, Real blackPrice, Real discount=1.0, Real displacement=0.0)
Real | blackFormulaImpliedStdDev (Option::Type optionType, Real strike, Real forward, Real blackPrice, Real discount=1.0, Real displacement=0.0, Real guess=Null< Real >(), Real accuracy=1.0e-6, Natural maxIterations=100)
Real | blackFormulaImpliedStdDev (const boost::shared_ptr< PlainVanillaPayoff > &payoff, Real forward, Real blackPrice, Real discount=1.0, Real displacement=0.0, Real guess=Null< Real >(), Real accuracy=1.0e-6, Natural maxIterations=100)
Real | blackFormulaCashItmProbability (Option::Type optionType, Real strike, Real forward, Real stdDev, Real displacement=0.0)
Real | blackFormulaCashItmProbability (const boost::shared_ptr< PlainVanillaPayoff > &payoff, Real forward, Real stdDev, Real displacement=0.0)
Real | blackFormulaStdDevDerivative (Real strike, Real forward, Real stdDev, Real discount=1.0, Real displacement=0.0)
Real | blackFormulaVolDerivative (Real strike, Real forward, Real stdDev, Real expiry, Real discount=1.0, Real displacement=0.0)
Real | blackFormulaStdDevDerivative (const boost::shared_ptr< PlainVanillaPayoff > &payoff, Real forward, Real stdDev, Real discount=1.0, Real displacement=0.0)
Real | bachelierBlackFormula (Option::Type optionType, Real strike, Real forward, Real stdDev, Real discount=1.0)
Real | bachelierBlackFormula (const boost::shared_ptr< PlainVanillaPayoff > &payoff, Real forward, Real stdDev, Real discount=1.0)

## Detailed Description

Black formula.